Package org.kapott.hbci.sepa.jaxb.pain_008_003_02

## Class DirectDebitTransactionSDD

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_008_003_02.DirectDebitTransactionSDD

    public class DirectDebitTransactionSDD
    extends java.lang.Object

Java class for DirectDebitTransactionSDD complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="DirectDebitTransactionSDD">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="MndtRltdInf" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.003.02}MandateRelatedInformationSDD"/>
             <element name="CdtrSchmeId" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.003.02}PartyIdentificationSEPA3" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected PartyIdentificationSEPA3` `cdtrSchmeId`
`protected MandateRelatedInformationSDD` `mndtRltdInf`

### Constructor Summary

Constructors
`DirectDebitTransactionSDD()`

### Method Summary

All Methods Instance Methods Concrete Methods
`PartyIdentificationSEPA3` `getCdtrSchmeId()` Gets the value of the cdtrSchmeId property.
`MandateRelatedInformationSDD` `getMndtRltdInf()` Gets the value of the mndtRltdInf property.
`void` `setCdtrSchmeId​(PartyIdentificationSEPA3 value)` Sets the value of the cdtrSchmeId property.
`void` `setMndtRltdInf​(MandateRelatedInformationSDD value)` Sets the value of the mndtRltdInf property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### mndtRltdInf

    protected MandateRelatedInformationSDD mndtRltdInf

#### cdtrSchmeId

    protected PartyIdentificationSEPA3 cdtrSchmeId

### Constructor Detail

#### DirectDebitTransactionSDD

    public DirectDebitTransactionSDD()

### Method Detail

#### getMndtRltdInf

    public MandateRelatedInformationSDD getMndtRltdInf()

Gets the value of the mndtRltdInf property.

Returns:
  possible object is `MandateRelatedInformationSDD`

#### setMndtRltdInf

    public void setMndtRltdInf​(MandateRelatedInformationSDD value)

Sets the value of the mndtRltdInf property.

Parameters:
  `value` - allowed object is `MandateRelatedInformationSDD`

#### getCdtrSchmeId

    public PartyIdentificationSEPA3 getCdtrSchmeId()

Gets the value of the cdtrSchmeId property.

Returns:
  possible object is `PartyIdentificationSEPA3`

#### setCdtrSchmeId

    public void setCdtrSchmeId​(PartyIdentificationSEPA3 value)

Sets the value of the cdtrSchmeId property.

Parameters:
  `value` - allowed object is `PartyIdentificationSEPA3`